import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:syncrow_web/core/extension/build_context_x.dart';
import 'package:syncrow_web/pages/device_managment/shared/device_controls_container.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class PresenceSpaceType extends StatelessWidget {
  const PresenceSpaceType({
    super.key,
    required this.listOfIcons,
    required this.description,
  });

  final List<String> listOfIcons;
  final String description;

  @override
  Widget build(BuildContext context) {
    return DeviceControlsContainer(
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            description,
            style: context.textTheme.bodySmall!.copyWith(
              color: ColorsManager.blackColor,
              fontWeight: FontWeight.w400,
              fontSize: 10,
            ),
          ),
          const SizedBox(
            height: 8,
          ),
          Wrap(
            runSpacing: 8,
            spacing: 16,
            children: [
              ...listOfIcons.map((icon) => SvgPicture.asset(
                    icon,
                    width: 40,
                    height: 40,
                  )),
            ],
          ),
        ],
      ),
    );
  }
}
